Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.params
Class GOST3410PublicKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.crypto.params.GOST3410KeyParameters
              org.bouncycastle.crypto.params.GOST3410PublicKeyParameters

All Implemented Interfaces:
  CipherParameters

    public class GOST3410PublicKeyParameters

extends GOST3410KeyParameters

Constructor Summary
`GOST3410PublicKeyParameters(java.math.BigInteger y, GOST3410Parameters params)`

Method Summary
`java.math.BigInteger` `getY()`

Methods inherited from class org.bouncycastle.crypto.params.GOST3410KeyParameters
`getParameters`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GOST3410PublicKeyParameters

    public GOST3410PublicKeyParameters(java.math.BigInteger y,
                                       GOST3410Parameters params)

Method Detail

### getY

    public java.math.BigInteger getY()

Bouncy Castle Cryptography Library 1.45